OpenVDB: DualGridSampler< tree::ValueAccessor< TreeT >, SamplerT > Class Template Reference

OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
DualGridSampler< tree::ValueAccessor< TreeT >, SamplerT > Class Template Reference

Specialization of DualGridSampler for construction from a ValueAccessor type. More...

`#include <openvdb/tools/Interpolation.h>`

## Public Types
using | ValueType = typename TreeT::ValueType
using | TreeType = TreeT
using | GridType = Grid< TreeType >
using | AccessorType = typename tree::ValueAccessor< TreeT >

## Public Member Functions
| DualGridSampler (const AccessorType &sourceAccessor, const math::Transform &sourceXform, const math::Transform &targetXform)
| ValueAccessor and transform constructor.
ValueType | operator() (const Coord &ijk) const
| Return the value of the source grid at the index coordinates, ijk, relative to the target grid.
bool | isAligned () const
| Return true if the two grids are aligned.

## Detailed Description

template<typename TreeT, typename SamplerT>
class openvdb::v11_0::tools::DualGridSampler< tree::ValueAccessor< TreeT >, SamplerT >

Specialization of DualGridSampler for construction from a ValueAccessor type.

## Member Typedef Documentation

## ◆ AccessorType

template<typename TreeT , typename SamplerT >

using AccessorType = typename tree::ValueAccessor<TreeT>

## ◆ GridType

template<typename TreeT , typename SamplerT >

using GridType = Grid<TreeType>

## ◆ TreeType

template<typename TreeT , typename SamplerT >

using TreeType = TreeT

## ◆ ValueType

template<typename TreeT , typename SamplerT >

using ValueType = typename TreeT::ValueType

## Constructor & Destructor Documentation

## ◆ DualGridSampler()

template<typename TreeT , typename SamplerT >

DualGridSampler | ( | const AccessorType & | sourceAccessor,
|  | const math::Transform & | sourceXform,
|  | const math::Transform & | targetXform
| ) |  |
| inline

ValueAccessor and transform constructor.

Parameters

  sourceAccessor | ValueAccessor into the source grid.
  sourceXform | Transform for the source grid.
  targetXform | Transform for the target grid.

## Member Function Documentation

## ◆ isAligned()

template<typename TreeT , typename SamplerT >

bool isAligned | ( |  | ) | const
| inline

Return true if the two grids are aligned.

## ◆ operator()()

template<typename TreeT , typename SamplerT >

ValueType operator() | ( | const Coord & | ijk | ) | const
| inline

Return the value of the source grid at the index coordinates, ijk, relative to the target grid.